| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT > Struct Template Reference

`#include <Grammars.h>`

List of all members.

## Detailed Description

### template<typename RT = double>
template<typename ScannerT>
struct Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT >

Definition at line 200 of file Grammars.h.

## Public Member Functions
| definition (RealGrammar const &self)
rule< ScannerT > const & | start () const
## Public Attributes
rule< ScannerT > | real_literal

## Constructor & Destructor Documentation

template<typename RT = double>
template<typename ScannerT>

Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT >::definition | ( | RealGrammar const & | self | ) | `[inline]`

Definition at line 202 of file Grammars.h.

References Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT >::real_literal.

    00203         {
    00204           real_literal
    00205             = lexeme_d[real_parser<RT,
    00206             real_parser_policies<RT> >()[self.val = arg1]
    00207             >> !(ch_p('f') | ch_p('F') | ch_p('l') | ch_p('L'))];
    00208         }

## Member Function Documentation

template<typename RT = double>
template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 209 of file Grammars.h.

References Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT >::real_literal.

    00210         { return real_literal; }

## Member Data Documentation

template<typename RT = double>
template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT >::real_literal

Definition at line 211 of file Grammars.h.

Referenced by Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT >::definition(), and Gaudi::Parsers::RealGrammar< RT >::definition< ScannerT >::start().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h